import QtQuick 1.0
Rectangle {
    id:options
    height: 480
    width: 854
    color: "gray"
    signal backClicked()
    Image {
        id: back
        x: 0
        y: 0
        anchors.rightMargin: 0
        anchors.bottomMargin: 0
        anchors.leftMargin: 0
        anchors.topMargin: 0
        source: "options.png"
        anchors.fill: parent
        smooth: true
    }
    Image {
        id: btnBack
        x: 500
        anchors.margins: 20
        anchors.top: parent.top
        anchors.right: parent.right
        smooth: true
        source: "backIcon.png"
        Behavior on x{NumberAnimation{duration: 400}}
        y: 21
        Behavior on y{NumberAnimation{duration: 400}}
        anchors.rightMargin: 270
        anchors.topMargin: 21
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8
            onReleased: parent.scale=1
            onClicked:
            {
                backClicked();
            }
        }
    }
    Image {
        id: btnLang
        x: 340
        y: 229
        smooth: true
        source: "arabic.png"
        Behavior on scale {NumberAnimation{duration: 0}}
        Behavior on rotation{NumberAnimation{duration: 0}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                //btnLangText.scale=.8;
                parent.scale=.8;
                //console.log("lang= "+lang);
            }
            onReleased:
            {
                parent.scale=1;
                //btnLangText.scale=1;
            }
            onClicked:
            {
                //console.log("lang= "+lang);
                if(lang=="a")
                {
                    lang = "e";
                    btnLang.source ="arabic.png";
                    if(music=="on")
                    {
                        saveHighScore("e","on",sound);
                    }
                    else
                    {
                        saveHighScore("e","off",sound);
                    }
                }
                else
                {
                    lang="a";
                    btnLang.source ="en.png";
                    if(music=="on")
                    {
                        saveHighScore("a","on",sound);
                    }
                    else
                    {
                        saveHighScore("a","off",sound);
                    }
                }
                setLang();
            }
        }
    }
    function setLang()
    {
        if(lang=="a")
        {

        }
        else
        {

        }
    }

    Image {
        id: btnMusic
        x: 250
        y: 66
        smooth: true
        source: "musicoff.png"
        Behavior on scale {NumberAnimation{duration: 0}}
        Behavior on rotation{NumberAnimation{duration: 0}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                parent.scale=.8;
            }
            onReleased:
            {
                parent.scale=1;
            }

            onClicked:
            {
                if(music=="off")
                {
                    btnMusic.source="musicon.png";
                    music="on";
                }
                else
                {
                    music="off";
                    btnMusic.source="musicoff.png";
                }
                saveHighScore(lang,music,sound);
            }

        }
    }
    Image {
        id: btnSound
        x: 385
        y: 93
        smooth: true
        source: "soundoff.png"
        Behavior on scale {NumberAnimation{duration: 0}}
        Behavior on rotation{NumberAnimation{duration: 0}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                parent.scale=.8;
            }
            onReleased:
            {
                parent.scale=1;
            }

            onClicked:
            {
                if(sound=="off")
                {
                    parent.source="soundon.png";
                    sound="on";
                }
                else
                {
                    sound="off";
                    parent.source="soundoff.png";
                }
                saveHighScore(lang,music,sound);

            }

        }
    }

    function init()
    {
        if(lang=="a")
        {
            btnLang.source="en.png";
        }
        else
        {
            btnLang.source="arabic.png";
        }

        btnSound.source="sound"+sound+".png";
        btnMusic.source="music"+music+".png";
    }

}
