import QtQuick 1.0
Image{
    source: "box1.png"
    signal hClicked()
    signal dClicked()
    signal sClicked()
    signal cClicked()
    signal playClicked()
    property color col: "#a4f117"
    property int rotationDuration: 400
    property int scaleDuration: 500
    property int opacityDuration: 200
    property int rotationAngle: 370
    property int iconH: 70
    property int iconW: 70
    property int fontSize: 12
    property double numberOpacity: .5
    property double scaleFactor: 1.6
    Behavior on opacity {NumberAnimation{duration:50}}
    Image
    {
        id: play
        x: 175
        y: 151
        source: "playP-a.png"
        smooth: true
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=1.2;
            onReleased: parent.scale=1;
            onClicked: playClicked();
        }
    }
    Image {
        id: cType
        x: 59
        y:60
        height: iconH
        width: iconW
        source: "c.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        MouseArea
        {
            x: -7
            y: -8
            width: 70
            height: 71
            anchors.bottomMargin: -8
            anchors.leftMargin: -7
            anchors.rightMargin: -7
            anchors.topMargin: -8
            anchors.fill: parent
            onPressed: {
                parent.rotation=rotationAngle;
                parent.scale=scaleFactor;
                hType.scale=1;
                hType.rotation=0;
                dType.scale=1;
                dType.rotation=0;
                sType.scale=1;
                sType.rotation=0;
            }
            onClicked: {
                cClicked();
            }
        }
    }
    Image {
        id: hType
        x: 168
        y:60
        height: iconH
        width: iconW
        source: "h.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        MouseArea
        {
            x: -5
            y: -7
            width: 65
            height: 69
            anchors.rightMargin: -5
            anchors.bottomMargin: -7
            anchors.leftMargin: -5
            anchors.topMargin: -7
            anchors.fill: parent
            onPressed: {
                parent.rotation=rotationAngle;
                parent.scale=scaleFactor;
                dType.scale=1;
                dType.rotation=0;
                sType.scale=1;
                sType.rotation=0;
                cType.scale=1;
                cType.rotation=0;
            }
            onClicked: hClicked();
        }
    }
    Image {
        id: dType
        x: 266
        y:60
        height: iconH
        width: iconW
        source: "d.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        MouseArea
        {
            x: -5
            y: -8
            width: 65
            height: 71
            anchors.bottomMargin: -8
            anchors.leftMargin: -5
            anchors.rightMargin: -5
            anchors.topMargin: -8
            anchors.fill: parent
            onPressed: {
                parent.rotation=rotationAngle;
                parent.scale=scaleFactor;
                hType.scale=1;
                hType.rotation=0;
                sType.scale=1;
                sType.rotation=0;
                cType.scale=1;
                cType.rotation=0;
            }
            onClicked: dClicked();
        }
    }
    Image {
        id: sType
        x: 372
        y:60
        height: iconH
        width: iconW
        source: "s.png"
        smooth: true
        Behavior on scale {NumberAnimation{duration:scaleDuration}}
        Behavior on rotation {NumberAnimation{duration:rotationDuration}}
        MouseArea
        {
            x: -7
            y: -7
            width: 70
            height: 70
            anchors.bottomMargin: -7
            anchors.leftMargin: -7
            anchors.rightMargin: -7
            anchors.topMargin: -7
            anchors.fill: parent
            onPressed: {
                parent.rotation=rotationAngle;
                parent.scale=scaleFactor;
                hType.scale=1;
                hType.rotation=0;
                dType.scale=1;
                dType.rotation=0;
                cType.scale=1;
                cType.rotation=0;
            }
            onClicked: sClicked();
        }
    }

    function resetPurchase()
    {
        hType.scale=1;
        hType.rotation=0;
        dType.scale=1;
        dType.rotation=0;
        cType.scale=1;
        cType.rotation=0;
        sType.scale=1;
        sType.rotation=0;

        if(lang=="a")
        {
            play.source="playP-a.png";
        }
        else
        {
            play.source="playP.png";
        }
    }
}
