import QtQuick 1.0
import QtMultimediaKit 1.1
Rectangle {
    id:main2
    height: 480
    width: 854
    state:"mainMenu"
    property string lang: "e"
    property string music: "off"
    property string sound: "off"
    property int startGamee: 0
    MouseArea{
        anchors.fill: parent;
    }

    Timer{
        id: hideLogoAndShowSplashScreen
         interval:3000; running: true; repeat: false
         onTriggered:
         {
             logo.opacity=0;
             readHighScore() ;
             console.log("lang "+lang);
             console.log("music "+music);
             console.log("sounds "+sound);
             if(lang=="a")
             {
                 splash.source="arabic-splash.png";
                 //backMain.source="arabic-menu.png";
             }
             else
             {
                 splash.source="splash.png";
                 //backMain.source="backMain.png";
             }
             splash.opacity=1;
             hideSplashScreenAndShowMainMenu.start();
         }
    }
    Image {
        id: logo
        source: "logo.png"
        anchors.centerIn: parent
        smooth: true
    }
    Image {
        id: splash
        source: "splash.png"
        anchors.fill: parent
        opacity: 0
        smooth: true
    }

    Timer{
        id: hideSplashScreenAndShowMainMenu
         interval: 3000; running: false; repeat: false
         onTriggered:
         {
             splash.opacity=0;
             showMainMenu();
             playInamation.start();
         }
    }
    Image {
        id: backMain
        opacity: 0
        smooth: true
        source: "backMain.png"
        anchors.fill: parent
    }
    property int delay: 1000

    property int ctrForAnimi: 1
    Timer{
        id: playInamation
         interval:150; running: false; repeat: true
         onTriggered:
         {
             if(ctrForAnimi<=15)
             btnPlay.source="playicon"+ctrForAnimi+".png";
             ctrForAnimi++;
             if(ctrForAnimi==30)
                 ctrForAnimi=1;
         }
    }
    Image {
        id: btnPlay
        x:560
        y:170
        smooth: true
        source: "playicon1.png"
        opacity: 0
        //Behavior on scale {NumberAnimation{duration: delay}}
        //Behavior on rotation{NumberAnimation{duration: delay}}
        //Behavior on x{NumberAnimation{duration: 400}}
        //Behavior on y{NumberAnimation{duration: 400}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {}
            onReleased:{}
            onClicked:
            {
                if(main2.state=="mainMenu")
                {
                    startGame.init();
                    main2.state="inStartGame";
                    startGamee=1;
                    startGame.gameType.opacity=1;
                    startGame.we=0;
                    startGame.they=0;
                    audioMusicMenu.stop();
                }
            }
        }
    }

    Timer{
        id: setDelay
         interval:1000; running: false; repeat: false
         onTriggered: delay=0;
    }
    Image {
        id: btnOptions
        x:780
        y:0
        smooth: true
        opacity: 0
        source: "optionicon.png"
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                parent.opacity=.5;
            }
            onReleased:
            {
               parent.opacity=1;
            }
            onClicked:
            {
                options.init();
                if(main2.state=="mainMenu")
                    main2.state="inOptions";
            }
        }
    }


    function helpLang()
    {
        if(lang=="a")
        {
            helpMenu.textBalotOverView="حول البلوت";
            helpMenu.textBiddingAndGames="المزايدة و الالعاب";
            helpMenu.textCancel="الغاء";
            helpMenu.textPlaying="اللعب";
            helpMenu.textProjectsAndBonuses="المشاريع";
            helpMenu.textScoring="النقاط";
            helpMenu.textTitle="مساعدة";
        }
        else
        {
            helpMenu.textBalotOverView="Balot Overview";
            helpMenu.textBiddingAndGames="Bidding and Games";
            helpMenu.textCancel="Cancel";
            helpMenu.textPlaying="Playing";
            helpMenu.textProjectsAndBonuses="Projects and Bonuses";
            helpMenu.textScoring="Scoring";
            helpMenu.textTitle="Help";
        }
    }
    Image {
        id: btnHelp
        x:730-5
        y:15
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}
        opacity: 0
        //width: 72
        //height: 64
        smooth: true
        source: "help.png"
        Behavior on x{NumberAnimation{duration: 700}}
        Behavior on y{NumberAnimation{duration: 700}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                parent.opacity=.5;
            }
            onReleased:
            {
               parent.opacity=1;
            }
            onClicked:
            {
                //helpLang();
                helpMenu.init();
                if(main2.state=="mainMenu")
                    main2.state="inHelp";
            }
        }
    }


    Image {
        id: btnExit
        x:730
        y:380
        smooth: true
        opacity: 0
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}

        source: "exit.png"
        Behavior on x{NumberAnimation{duration: 800}}
        Behavior on y{NumberAnimation{duration: 800}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                //btnExitText.scale=.8;
                parent.opacity=.5;
            }
            onReleased:
            {
                parent.opacity=1;
            }
            onClicked:
            {
                if(main2.state=="mainMenu")
                    Qt.quit();
            }
        }
    }
    Image {
        id: btnOuterSound
        x:675-10
        y:20
        smooth: true
        opacity: 0
        source: "outerSoundOff.png"
        Behavior on scale {NumberAnimation{duration: 0}}
        Behavior on rotation{NumberAnimation{duration: 0}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                parent.scale=.8;
            }
            onReleased:
            {
                parent.scale=1;
            }

            onClicked:
            {
                if(startGamee==0){
                if(sound=="off")
                {
                    parent.source="outerSoundOn.png";
                    sound="on";
                    music="on";
                }
                else
                {
                    sound="off";
                    music="off";
                    audioMusicMenu.stop();
                    parent.source="outerSoundOff.png";
                }
                saveHighScore(lang,music,sound);}
            }

        }
    }
    Image
    {
        id:info
        source: "info.png"
        anchors.bottom: parent.bottom
        anchors.right: parent.right
        anchors.bottomMargin: 40
        anchors.rightMargin: 40
        opacity: 0
        smooth: true
        MouseArea{
            anchors.fill: parent
            onPressed: parent.opacity=.3;
            onReleased: parent.opacity=1;
            onClicked: {
                if(startGamee==0)
                main2.state="inInfo";
            }
        }
    }
    Image
    {
        id:moreGames
        source: "more.png"
        x:605-15
        y:15-3
        opacity: 0
        smooth: true
        MouseArea{
            anchors.fill: parent
            onPressed: parent.opacity=.3;
            onReleased: parent.opacity=1;
            onClicked: {//http://store.ovi.com/publisher/Maysalward/
                //Qt.openUrlExternally("http://store.ovi.com/publisher/Maysalward/");
                if(startGamee==0)
                Qt.openUrlExternally("http://store.ovi.com/publisher/Maysalward+%28MRD%29/");
            }
        }
    }
    HelpMenu
    {
        id:helpMenu
        visible: false
        scale: 0
        //onCancelClicked: helpMenu.opacity=0;
        anchors.fill: parent
        onCancelClicked: {
            main2.state="mainMenu";
            helpMenu.visible=false;
        }
        //anchors.bottom: parent.bottom
        //anchors.horizontalCenter: parent.horizontalCenter
        //anchors.margins: 15
    }
    function showMainMenu()
    {
        if(sound=="on"||music=="on")
            btnOuterSound.source="outerSoundOn.png";
        else btnOuterSound.source="outerSoundOff.png";

        initSoundLang();
        //if(music=="on")audioMusicMenu.play();
        btnOuterSound.opacity=1;
        btnPlay.opacity=1;
        btnHelp.opacity=1;
        btnOptions.opacity=1;
        //btnExit.opacity=1;
        info.opacity=1;
        moreGames.opacity=1;
        backMain.opacity=1;
        setDelay.start();
    }
    StartGame{
        id: startGame
        //x: parent.width
        visible: false
        scale: 0
        anchors.fill: parent
        onBackClicked1:
        {
            if(music=="on")audioMusicMenu.play();
            main2.state="mainMenu";
            startGame.visible=false;
        }
    }
    Info{
        id: infoState
        //x: parent.width
        visible: false
        scale: 0
        anchors.fill: parent
        onCancelClicked:
        {
            main2.state="mainMenu";
            infoState.visible=false;
        }
    }

    POptions{
        id: options
        visible: false
        scale: 0
        anchors.fill: parent
        onBackClicked: {
            main2.state="mainMenu";
            options.visible=false;
            if(sound=="on"||music=="on")
                btnOuterSound.source="outerSoundOn.png";
            else btnOuterSound.source="outerSoundOff.png";

        }


    }
    function initSoundLang()
    {
        if(music=="on"&&audioMusicMenu.playing!=true)audioMusicMenu.play();
        if(music=="off") audioMusicMenu.stop();
        if(lang=="a")
        {
            audioPass.source="sounds/Pass-a.wav";
            audio7.source="sounds/7-a.wav";
            audio8.source="sounds/8-a.wav";
            audio9.source="sounds/9-a.wav";
            audio10.source="sounds/10-a.wav";
            audio11.source="sounds/11-a.wav";
            audio12.source="sounds/12-a.wav";
        }
        else
        {
            audioPass.source="sounds/Pass.wav";
            audio7.source="sounds/7.wav";
            audio8.source="sounds/8.wav";
            audio9.source="sounds/9.wav";
            audio10.source="sounds/10.wav";
            audio11.source="sounds/11.wav";
            audio12.source="sounds/12.wav";
        }
        //if(music=="on")audioMusicMenu.play();
    }

    SoundEffect{
        id:audioMusicMenu
        //source: "music.mp3"
        source: "sounds/intro23.wav"
        //loops: 100
        loops: SoundEffect.Infinite
    }

    SoundEffect{
        id:audioOneCard
        source: "sounds/oneCard.wav"
    }
    SoundEffect{
        id:audioMultiCards
        source: "sounds/groupCards.wav"
    }
    SoundEffect{
        id:audioPass
        source: "sounds/Pass-a.wav"
    }
    SoundEffect{
        id:audio7
        source: "sounds/7-a.wav"
    }
    SoundEffect{
        id:audio8
        source: "sounds/8-a.wav"
    }
    SoundEffect{
        id:audio9
        source: "sounds/9-a.wav"
    }
    SoundEffect{
        id:audio10
        source: "sounds/10-a.wav"
    }
    SoundEffect{
        id:audio11
        source: "sounds/11-a.wav"
    }
    SoundEffect{
        id:audio12
        source: "sounds/12-a.wav"
    }
    states:  [
        State {
            name: "inStartGame"
            PropertyChanges { target: startGame; scale:1}
        },
        State {
            name: "inOptions"
            PropertyChanges { target: options; scale:1}
        },
        State {
            name: "inHelp"
            PropertyChanges { target: helpMenu; scale:1}
        },
        State {
            name: "inInfo"
            PropertyChanges { target: infoState; scale:1}
        }
    ]
    // Transition animation for the state change
    transitions: [
        Transition {
            from: "mainMenu"
            to: "inStartGame"
            reversible: true
            SequentialAnimation {
                PropertyAction { target: startGame; property: "visible"; value:true}
                NumberAnimation { target: startGame; property: "scale";
                    duration: 800; easing.type: Easing.InOutCubic }
            }
        },
        Transition {
            from: "mainMenu"
            to: "inOptions"
            reversible: true
            SequentialAnimation {
                PropertyAction { target: options; property: "visible"; value:true}
                NumberAnimation { target: options; property: "scale";
                    duration: 800; easing.type: Easing.InOutCubic }
            }
        },
        Transition {
            from: "mainMenu"
            to: "inHelp"
            reversible: true
            SequentialAnimation {
                PropertyAction { target: helpMenu; property: "visible"; value:true}
                NumberAnimation { target: helpMenu; property: "scale";
                    duration: 800; easing.type: Easing.InOutCubic }
            }
        },
        Transition {
            from: "mainMenu"
            to: "inInfo"
            reversible: true
            SequentialAnimation {
                PropertyAction { target: infoState; property: "visible"; value:true}
                NumberAnimation { target: infoState; property: "scale";
                    duration: 800; easing.type: Easing.InOutCubic }
            }
        }
    ]

    function saveHighScore(lang,music,sound) {
        initSoundLang();//to switch lang
        console.log("m "+music)

        var db = openDatabaseSync("SameGameScoresTarneeb2", "1.0", "Local SameGame High Scores2", 100);
        var dataStr = "INSERT INTO Scores VALUES(?, ?, ?)";
        var data = [lang, music, sound];
        db.transaction(function(tx)
        {
            tx.executeSql('CREATE TABLE IF NOT EXISTS Scores(lang TEXT, music TEXT, sound TEXT)');
            tx.executeSql(dataStr, data);
        });
    }

    function readHighScore() {
        var db = openDatabaseSync("SameGameScoresTarneeb2", "1.0", "Local SameGame High Scores2", 100);
        var data = [lang, music,sound];
        db.transaction(function(tx)
        {
            tx.executeSql('CREATE TABLE IF NOT EXISTS Scores(lang NUMBER, music NUMBER, sound NUMBER)');
            var rs = tx.executeSql('SELECT * FROM Scores');
            var lan = "";//0 english
            var mus = "";//0 off
            var snd = "";//0 off
            for (var i = 0; i < rs.rows.length; i++)
            {
                lan=rs.rows.item(rs.rows.length-1).lang;
                mus=rs.rows.item(rs.rows.length-1).music;
                snd=rs.rows.item(rs.rows.length-1).sound;
                //console.log("r "+lan);
                //console.log("r "+mus);

                if(lan=="e")
                {
                    lang="e";
                }
                else if(lan=="a")
                {
                    lang="a";
                }
                else
                { 
                    lang="e";
                }

                if(mus=="on")
                {
                    music="on";
                }
                else if(mus=="off")
                {
                     music="off";
                }
                else
                {
                     m="on";
                }

                if(snd=="on")
                {
                    sound="on";
                }
                else if(snd=="off")
                {
                     sound="off";
                }
                else
                {
                    sound="on";
                    saveHighScore("e","on","on");
                    //lang="e";
                }


                break;
            }

        });
    }

    function muteAll()
    {
        audioCards.volume=0;
        music.volume=0;
        audioHokomS.volume=0;
        audioHokomH.volume=0;
        audioHokomD.volume=0;
        audioHokomC.volume=0;
        audioMsho3_100.volume=0;
        audioMsho3_400.volume=0;
        audioMsho3_50.volume=0;
        audioMsho3_serra.volume=0;
        audioOneCard.volume=0;
        audioPass.volume=0;
        audioSun.volume=0;
    }
    function nonMuteAll()
    {
        audioCards.volume=100;
        music.volume=100;
        audioHokomS.volume=100;
        audioHokomH.volume=100;
        audioHokomD.volume=100;
        audioHokomC.volume=100;
        audioMsho3_100.volume=100;
        audioMsho3_400.volume=100;
        audioMsho3_50.volume=100;
        audioMsho3_serra.volume=100;
        audioOneCard.volume=100;
        audioPass.volume=100;
        audioSun.volume=100;
    }

    Timer{

        id: backgroundTimer1
         interval: 1000; running: true; repeat: true
         onTriggered:
         {
                 if(!Qt.application.active)
                 {
                     audioMusicMenu.stop();
                 }
                 if(Qt.application.active || menu.opacity==0)
                 {
                     if(music=="on"&&audioMusicMenu.playing!=true&&startGamee==0)audioMusicMenu.play();
                 }

         }
    }

}
